As a user, I want foreman-installer to provide a scenario for installing a capsule

11/16/2015 03:18 PM - Brad Buckingham
Description

This is an enhancement to leverage the Kafo changes provided by http://projects.theforeman.org/issues/10162 to support a 'capsule'

scenario.

E.g.

foreman-installer --scenario capsule \

--capsule-parent-fqdn "katello.example.com"\

--foreman-proxy-registered-proxy-url "https://capsule.example.com:9090"\

--foreman-proxy-oauth-consumer-key "QSJ2qCGV3zWyohCJfKxQBDCCjceBiTMy"\

--foreman-proxy-oauth-consumer-secret "DGKBJjXWfkyroiyDHNhYAFn9uTnUcJxa"\

--foreman-proxy-foreman-base-url "https://katello.example.com"\

--foreman-proxy-trusted-hosts "katello.example.com"\

--foreman-proxy-trusted-hosts "capsule.example.com"\

--capsule-pulp-oauth-secret "bQ5zUPVd2qVDY987D4VtD6Va9pDj4Y7J"\

--capsule-certs-tar "~/capsule.example.com-certs.tar"

Note: we may decide to change the name from 'capsule' to something different; however, we need a way to install a scenario that

includes the components required by katello (e.g. pulp, reverse proxy...etc)

Related issues:

Related to Installer - Tracker #10161: Support Multiple Installation Scenarios Resolved 04/16/2015

History

#1 - 11/16/2015 03:18 PM - Brad Buckingham

- Related to Tracker #10161: Support Multiple Installation Scenarios added

#2 - 11/17/2015 02:55 AM - Dominic Cleal

Is this not something in Katello, and Foreman uses smart proxies (#11735)?

#3 - 11/19/2015 09:22 AM - Dominic Cleal

- Status changed from New to Rejected

PR was opened at https://github.com/theforeman/foreman-installer/pull/160 and closed.

Powered by TCPDF (www.tcpdf.org)

05/21/2024 1/1

http://projects.theforeman.org/issues/10162
https://projects.theforeman.org/issues/11735
https://github.com/theforeman/foreman-installer/pull/160
http://www.tcpdf.org

